diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index a259bc9..22488bd 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -42262,11 +42262,11 @@ InnerModularGcd(R,BP,pMod,nextMod):C == T
     if R has IntegerNumberSystem then
         reduction(u:BP,p:R):BP ==
             p = 0 => u
-            map(symmetricRemainder(#1,p),u)
+            map((r1:R):R +-> symmetricRemainder(r1,p),u)
       else
         reduction(u:BP,p:R):BP ==
             p = 0 => u
-            map(#1 rem p,u)
+            map((r1:R):R +-> r1 rem p,u)
 
     FP:=EuclideanModularRing(R,BP,R,reduction,merge,exactquo)
     zeroChar : Boolean := R has CharacteristicZero
diff --git a/changelog b/changelog
index 251b4ea..9e44e2f 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090604 tpd src/axiom-website/patches.html 20090604.06.tpd.patch
+20090604 tpd books/bookvol10.4 INMODGCD +-> conversion
 20090604 tpd src/axiom-website/patches.html 20090604.05.tpd.patch
 20090604 tpd books/bookvol10.4 IMATQF +-> conversion
 20090604 tpd src/axiom-website/patches.html 20090604.04.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 53d2cb7..b8bf724 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1445,5 +1445,7 @@ bookvol10.4 IALGFACT +-> conversion<br/>
 bookvol10.4 IMATLIN +-> conversion<br/>
 <a href="patches/20090604.05.tpd.patch">20090604.05.tpd.patch</a>
 bookvol10.4 IMATQF +-> conversion<br/>
+<a href="patches/20090604.06.tpd.patch">20090604.06.tpd.patch</a>
+bookvol10.4 INMODGCD +-> conversion<br/>
  </body>
 </html>
